# -*- rpm-spec -*-

%define with_introspection 0
%define with_plugins 0

%if 0%{?fedora} >= 14
%define with_introspection 0
%define with_plugins 0
%endif

Summary: Tethered shooting & control of digital cameras
Name: entangle
Version: 0.2.0
Release: 6%{?dist}
License: GPLv3+
Group: Applications/Multimedia
Source: http://entangle-photo.org/download/sources/%{name}-%{version}.tar.gz
Patch1: %{name}-%{version}-controls-empty.patch
Patch2: %{name}-%{version}-sealed.patch
Patch3: %{name}-%{version}-disconnect-crash.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://entangle-photo.org/

BuildRequires: glib2-devel >= 2.10.0
BuildRequires: gtk2-devel >= 2.12.0
BuildRequires: libgphoto2-devel >= 2.4.8
BuildRequires: libglade2-devel >= 2.6.0
%if 0%{?fedora} >= 12 || 0%{?rhel} >= 6
BuildRequires: libgudev1-devel >= 145
%else
BuildRequires: hal-devel >= 0.5.10
%endif
BuildRequires: GConf2-devel >= 2.12.0
BuildRequires: dbus-glib-devel >= 0.60
BuildRequires: lcms-devel >= 1.18
BuildRequires: /usr/bin/tpage
%if %{with_introspection}
BuildRequires: gobject-introspection-devel
%endif
%if %{with_plugins}
BuildRequires: libpeas-devel >= 0.5.5
%endif
BuildRequires: startup-notification-devel >= 0.5
BuildRequires: unique-devel >= 1.0.0

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Entangle is an application which uses GTK and libgphoto2 to provide a
graphical interface for tethered photography with digital cameras.

It includes control over camera shooting and configuration settings
and 'hands off' shooting directly from the controlling computer.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build

%if %{with_introspection}
%define introspection_arg --enable-introspection
%else
%define introspection_arg --disable-introspection
%endif
%if %{with_plugins}
%define plugins_arg --with-plugins
%else
%define plugins_arg --without-plugins
%endif

%configure %{introspection_arg} %{plugins_arg}
make %{?_smp_mflags}

%install
rm -fr %{buildroot}

%makeinstall
rm -rf %{buildroot}%{_datadir}/%{name}/website

%clean
rm -fr %{buildroot}

%post
update-desktop-database %{_datadir}/applications

%postun
update-desktop-database %{_datadir}/applications

%files
%defattr(-, root, root)
%doc README COPYING AUTHORS NEWS ChangeLog
%{_bindir}/entangle
%{_datadir}/%{name}/%{name}.glade
%{_datadir}/%{name}/%{name}-16x16.png
%{_datadir}/%{name}/%{name}-32x32.png
%{_datadir}/%{name}/%{name}-48x48.png
%{_datadir}/%{name}/%{name}-64x64.png
%{_datadir}/%{name}/%{name}-128x128.png
%{_datadir}/%{name}/%{name}-256x256.png
%{_datadir}/%{name}/%{name}.svg
%{_datadir}/%{name}/plugins.png
%{_datadir}/%{name}/plugins-22.png
%{_datadir}/%{name}/folders.png
%{_datadir}/%{name}/folders-22.png
%{_datadir}/%{name}/color-management.png
%{_datadir}/%{name}/color-management-22.png
%{_datadir}/%{name}/sRGB.icc
%{_datadir}/gtk-doc/html/Entangle
%{_datadir}/applications/%{name}.desktop
%if %{with_introspection}
%{_datadir}/gir-1.0/Entangle-0.1.gir
%{_libdir}/girepository-1.0/Entangle-0.1.typelib
%endif
%if %{with_plugins}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_datadir}/%{name}/plugins
%endif

%changelog
* Tue Jun 28 2011 Daniel P. Berrange <berrange@redhat.com> - 0.2.0-6
- Fix crash when disconnecting from camera

* Mon Jun 27 2011 Daniel P Berrange <berrange@acer1810.home.berrange.com> - 0.2.0-5
- Temporarily disable introspection/plugins since it now requires to GTK3

* Fri Feb 11 2011 Daniel P. Berrange <berrange@redhat.com> - 0.2.0-4
- Fix build with sealed GTK

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov  8 2010 Daniel P. Berrange <berrange@redhat.com> - 0.2.0-2
- Fix crash when camera has no control widgets (rhbz #628163)

* Wed Oct  6 2010 Daniel P. Berrange <berrange@redhat.com> - 0.2.0-1
- Update to 0.2.0 release

* Tue Jul 13 2010 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-7
- Fix gir repo version for GPhoto hack

* Mon Jul 12 2010 Colin Walters <walters@verbum.org> - 0.1.0-6
- Drop gir-repository-devel, it's dead in f14 and introspection should
  be in the relevant libraries
- Rebuild against new gobject-introspection

* Mon Jun  7 2010 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-4
- Fix crash in udev handler with NULL properties (rhbz #600759)

* Fri Apr  9 2010 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-2
- Remove redundant website content from RPM

* Thu Apr  8 2010 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-1
- Initial release
